Subject: [alpine-aports] [PATCH] testing/py-scrapy-dblite: new aport

From: systmkor <[email-masked]>
Date: Wed, 14 Jan 2015 15:02:21 -0800

Simple library for storing Scrapy Items in sqlite.
https://github.com/ownport/scrapy-dblite
---
 testing/py-scrapy-dblite/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-scrapy-dblite/APKBUILD

diff --git a/testing/py-scrapy-dblite/APKBUILD b/testing/py-scrapy-dblite/APKBUILD
new file mode 100644
index 0000000..1bc7deb
--- /dev/null
+++ b/testing/py-scrapy-dblite/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor:
+# Maintainer:
+pkgname=py-scrapy-dblite
+_pkgname=scrapy-dblite
+pkgver=0.2.5
+pkgrel=0
+pkgdesc="Simple library for storing Scrapy Items in sqlite." # quote from github
+url="https://github.com/ownport/scrapy-dblite"
+arch="noarch"
+license="BSD" # 2 clause license http://opensource.org/licenses/BSD-2-Clause
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/s/scrapy-dblite/scrapy-dblite-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="f3e5ccca05895c52df9fc8408a6230e7  scrapy-dblite-0.2.5.tar.gz"
+sha256sums="9d42ea9a585e3e7b345529d5a311dd3920c4d6f99654f3ce9c0c14c359e7185b  scrapy-dblite-0.2.5.tar.gz"
+sha512sums="292eab45a191b28d339c6581e5faf06af27f6c47596262c08f79b7da9f5c6880ea8c32c3b011fa509c850524b49be4edcf5b79c9d43fdb7b354bd32fd3f81141  scrapy-dblite-0.2.5.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Thu, 15 Jan 2015 11:12:00 +0100

On Wed, 14 Jan 2015 15:02:21 -0800

> https://github.com/ownport/scrapy-dblite

applied. thanks!

-nc

---